Bug 197049 - security/py-cryptography fix build failure with LibreSSL
Summary: security/py-cryptography fix build failure with LibreSSL
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Kubilay Kocak
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2015-01-24 13:58 UTC by Bernard Spil
Modified: 2015-04-24 13:38 UTC (History)
0 users

See Also:
koobs: maintainer-feedback+


Attachments
svn diff against ports/head (1.43 KB, patch)
2015-01-24 13:58 UTC, Bernard Spil
no flags Details | Diff
Poudriere log of build (74.92 KB, text/plain)
2015-01-27 19:38 UTC, Bernard Spil
no flags Details
svn diff for security/py-cryptography (878 bytes, patch)
2015-04-15 07:14 UTC, Bernard Spil
no flags Details | Diff
Poudriere build log of security/py-cryptography (75.61 KB, text/plain)
2015-04-15 07:14 UTC, Bernard Spil
no flags Details
svn diff for security/py-cryptography (5.82 KB, patch)
2015-04-21 11:45 UTC, Bernard Spil
no flags Details | Diff
Poudriere build log of security/py-cryptography (81.78 KB, text/plain)
2015-04-21 11:46 UTC, Bernard Spil
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bernard Spil freebsd_committer 2015-01-24 13:58:57 UTC
Created attachment 152098 [details]
svn diff against ports/head

LibreSSL 2.1.3 has added ALPN support thereby breaking py-cryptography 0.7.2
This patch fixes that by making the definition of the ALPN features conditional on the existence of LIBRESSL_VERSION
Comment 1 Bugzilla Automation freebsd_committer 2015-01-24 13:58:57 UTC
Auto-assigned to maintainer koobs@FreeBSD.org
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2015-01-27 04:50:33 UTC
Bernard, can you attach a successful poudriere build for this along with links to the upstream issue and/or pull request references please
Comment 3 Bernard Spil freebsd_committer 2015-01-27 19:36:52 UTC
Hi Kubilay, That was the dept. of misinformation... My apologies for your wasted time.
Attached patch is replacement of files/patch-src_cryptography_hazmat_bindings_openssl_ssl.py not an svndiff against port.

Upstream pull request https://github.com/pyca/cryptography/pull/1636
Comment 4 Bernard Spil freebsd_committer 2015-01-27 19:38:14 UTC
Created attachment 152271 [details]
Poudriere log of build
Comment 5 Kubilay Kocak freebsd_committer freebsd_triage 2015-02-11 09:56:17 UTC
Bernard, 

The attached patch doesn't appear to match the upstream pull request changeset, which has not been merged yet. As such I'm hesitant to backport it (the upstream change).

Is there an upstream pull-request, issue or commit for the patch attached here? 

If so, please:

- Include the upstream issue, commit, or pr reference
- Update the attached patch with a patch against the port (not the cryptography sources)
Comment 6 Kubilay Kocak freebsd_committer freebsd_triage 2015-04-09 01:24:56 UTC
This issue is at risk of timing out on feedback
Comment 7 Bernard Spil freebsd_committer 2015-04-15 07:14:16 UTC
Created attachment 155602 [details]
svn diff for security/py-cryptography

Patch against current ports/head.

Port is missing ALPN check.
Comment 8 Bernard Spil freebsd_committer 2015-04-15 07:14:40 UTC
Created attachment 155603 [details]
Poudriere build log of security/py-cryptography
Comment 9 Bernard Spil freebsd_committer 2015-04-15 09:10:29 UTC
Current port contains most of the original fix but the ALPN support fix.

This last piece fixes the ALPN support by checking LIBRESSL_VERSION_NUMBER

Upstream in https://github.com/pyca/cryptography/pull/1849
Comment 10 Bernard Spil freebsd_committer 2015-04-17 15:41:57 UTC
Upstream imported this change
https://github.com/pyca/cryptography/pull/1849
Comment 11 Bernard Spil freebsd_committer 2015-04-21 11:45:44 UTC
Created attachment 155798 [details]
svn diff for security/py-cryptography

The new version 0.8.2 adresses most issues building with LibreSSL. Most of the patches could therefor be removed, the only remaining patch has been merged upstream https://github.com/pyca/cryptography/pull/1849
Comment 12 Bernard Spil freebsd_committer 2015-04-21 11:46:12 UTC
Created attachment 155799 [details]
Poudriere build log of security/py-cryptography
Comment 13 commit-hook freebsd_committer 2015-04-24 13:37:18 UTC
A commit references this bug:

Author: koobs
Date: Fri Apr 24 13:36:30 UTC 2015
New revision: 384640
URL: https://svnweb.freebsd.org/changeset/ports/384640

Log:
  security/py-cryptography: Update to 0.8.2

  - Update to 0.8.2
  - Update COMMENT (upstream)
  - Pet portlint (TEST_DEPENDS must appear earlier)
  - Remove patches that have been upstreamed
  - Backport ALPN patch merged upstream, not yet released [1]

  Changes:

    * https://github.com/pyca/cryptography/blob/0.8.2/CHANGELOG.rst

  [1] https://github.com/pyca/cryptography/pull/1849

  PR:		197049
  Submitted by:	Bernard Spil <spil.oss gmail com>

Changes:
  head/security/py-cryptography/Makefile
  head/security/py-cryptography/distinfo
  head/security/py-cryptography/files/patch-src_cryptography_hazmat_bindings_openssl_engine.py
  head/security/py-cryptography/files/patch-src_cryptography_hazmat_bindings_openssl_rand.py
  head/security/py-cryptography/files/patch-src_cryptography_hazmat_bindings_openssl_ssl.py
  head/security/py-cryptography/files/patch-src_cryptography_hazmat_bindings_openssl_x509__vfy.py
Comment 14 Kubilay Kocak freebsd_committer freebsd_triage 2015-04-24 13:38:17 UTC
Thanks Bernard!